package com.mortals.xhx.base.framework.config;

import com.mortals.framework.springcloud.config.web.BaseWebMvcConfigurer;
import com.mortals.xhx.base.framework.feign.HierarchicalContract;
import feign.Contract;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author: zxfei
 * @date: 2021/8/13 0:24
 * @description:
 **/
@Configuration
public class AccountConfig {
    @Bean
    public Contract feignContract() {
        return new HierarchicalContract();
    }

    @Bean
    public BaseWebMvcConfigurer getBaseWebMvc(){
        return new BaseWebMvcConfigurer(false,null);
    }
}
